source "https://rubygems.org"

gem "rails", "~> 7.2.2"
gem "pg", "~> 1.1"
gem "puma", ">= 5.0"
gem "bootsnap", require: false
gem "tzinfo-data", platforms: %i[ windows jruby ]

gem "redis", ">= 4.0.1"
gem "bcrypt", "~> 3.1.7"
gem "rack-cors"
gem "jwt"
gem "sidekiq"
gem "rack-attack"
gem "aasm"
gem "attr_encrypted"
gem "google-apis-youtube_v3"
gem "faraday"
gem "stripe"
gem "aws-sdk-s3", "~> 1.0", require: false
gem "kamal", require: false

group :development, :test do
  gem "debug", platforms: %i[ mri windows ], require: "debug/prelude"
  gem "brakeman", require: false
  gem "rubocop-rails-omakase", require: false
  gem "rspec-rails"
  gem "factory_bot_rails"
  gem "faker"
end

group :development do
  gem "letter_opener"
end
